package com.zztrapp.zztrapp.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Describe 报废井列表
 * Created by Bby on 2022/7/17
 * Email bby0856@163.com
 */
public class BfjPageListBean {

    private List<RecordsBean> records;
    private Integer total;
    private Integer size;
    private Integer current;
    private List<?> orders;
    private Boolean optimizeCountSql;
    private Boolean searchCount;
    private Object countId;
    private Object maxLimit;
    private Integer pages;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public Boolean getOptimizeCountSql() {
        return optimizeCountSql;
    }

    public void setOptimizeCountSql(Boolean optimizeCountSql) {
        this.optimizeCountSql = optimizeCountSql;
    }

    public Boolean getSearchCount() {
        return searchCount;
    }

    public void setSearchCount(Boolean searchCount) {
        this.searchCount = searchCount;
    }

    public Object getCountId() {
        return countId;
    }

    public void setCountId(Object countId) {
        this.countId = countId;
    }

    public Object getMaxLimit() {
        return maxLimit;
    }

    public void setMaxLimit(Object maxLimit) {
        this.maxLimit = maxLimit;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public static class RecordsBean implements Serializable {
        private String id;
        private String createTime;
        private String updateTime;
        private String createBy;
        private Integer delFlag;
        private String fqjbh;
        private String mc;
        private String ysbm;
        private String fqjlx;
        private String fqjjb;
        private String ssdw;
        private String jjsj;
        private String countyCode;
        private String countyName;
        private String streetName;
        private String cjmph;
        private String lxr;
        private String lxdh;
        private String fqyy;
        private String fqsj;
        private String jdd;
        private String jdf;
        private String jdm;
        private String wdd;
        private String wdf;
        private String wdm;
        private String jtjbqk;
        private String dtgx;
        private String remark;
        private String tbr;
        private String pcr;
        private String tbsj;
        private String js;
        private String fjhtrq;
        private String fjhtssdw;
        private String fjhtfs;
        private String ysjl;
        private String bz;
        private Integer zt;
        private String jd;
        private String wd;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public Integer getDelFlag() {
            return delFlag;
        }

        public void setDelFlag(Integer delFlag) {
            this.delFlag = delFlag;
        }

        public String getFqjbh() {
            return fqjbh;
        }

        public void setFqjbh(String fqjbh) {
            this.fqjbh = fqjbh;
        }

        public String getMc() {
            return mc;
        }

        public void setMc(String mc) {
            this.mc = mc;
        }

        public String getYsbm() {
            return ysbm;
        }

        public void setYsbm(String ysbm) {
            this.ysbm = ysbm;
        }

        public String getFqjlx() {
            return fqjlx;
        }

        public void setFqjlx(String fqjlx) {
            this.fqjlx = fqjlx;
        }

        public String getFqjjb() {
            return fqjjb;
        }

        public void setFqjjb(String fqjjb) {
            this.fqjjb = fqjjb;
        }

        public String getSsdw() {
            return ssdw;
        }

        public void setSsdw(String ssdw) {
            this.ssdw = ssdw;
        }

        public String getJjsj() {
            return jjsj;
        }

        public void setJjsj(String jjsj) {
            this.jjsj = jjsj;
        }

        public String getCountyCode() {
            return countyCode;
        }

        public void setCountyCode(String countyCode) {
            this.countyCode = countyCode;
        }

        public String getCountyName() {
            return countyName;
        }

        public void setCountyName(String countyName) {
            this.countyName = countyName;
        }

        public String getStreetName() {
            return streetName;
        }

        public void setStreetName(String streetName) {
            this.streetName = streetName;
        }

        public String getCjmph() {
            return cjmph;
        }

        public void setCjmph(String cjmph) {
            this.cjmph = cjmph;
        }

        public String getLxr() {
            return lxr;
        }

        public void setLxr(String lxr) {
            this.lxr = lxr;
        }

        public String getLxdh() {
            return lxdh;
        }

        public void setLxdh(String lxdh) {
            this.lxdh = lxdh;
        }

        public String getFqyy() {
            return fqyy;
        }

        public void setFqyy(String fqyy) {
            this.fqyy = fqyy;
        }

        public String getFqsj() {
            return fqsj;
        }

        public void setFqsj(String fqsj) {
            this.fqsj = fqsj;
        }

        public String getJdd() {
            return jdd;
        }

        public void setJdd(String jdd) {
            this.jdd = jdd;
        }

        public String getJdf() {
            return jdf;
        }

        public void setJdf(String jdf) {
            this.jdf = jdf;
        }

        public String getJdm() {
            return jdm;
        }

        public void setJdm(String jdm) {
            this.jdm = jdm;
        }

        public String getWdd() {
            return wdd;
        }

        public void setWdd(String wdd) {
            this.wdd = wdd;
        }

        public String getWdf() {
            return wdf;
        }

        public void setWdf(String wdf) {
            this.wdf = wdf;
        }

        public String getWdm() {
            return wdm;
        }

        public void setWdm(String wdm) {
            this.wdm = wdm;
        }

        public String getJtjbqk() {
            return jtjbqk;
        }

        public void setJtjbqk(String jtjbqk) {
            this.jtjbqk = jtjbqk;
        }

        public String getDtgx() {
            return dtgx;
        }

        public void setDtgx(String dtgx) {
            this.dtgx = dtgx;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getTbr() {
            return tbr;
        }

        public void setTbr(String tbr) {
            this.tbr = tbr;
        }

        public String getPcr() {
            return pcr;
        }

        public void setPcr(String pcr) {
            this.pcr = pcr;
        }

        public String getTbsj() {
            return tbsj;
        }

        public void setTbsj(String tbsj) {
            this.tbsj = tbsj;
        }

        public String getJs() {
            return js;
        }

        public void setJs(String js) {
            this.js = js;
        }

        public String getFjhtrq() {
            return fjhtrq;
        }

        public void setFjhtrq(String fjhtrq) {
            this.fjhtrq = fjhtrq;
        }

        public String getFjhtssdw() {
            return fjhtssdw;
        }

        public void setFjhtssdw(String fjhtssdw) {
            this.fjhtssdw = fjhtssdw;
        }

        public String getFjhtfs() {
            return fjhtfs;
        }

        public void setFjhtfs(String fjhtfs) {
            this.fjhtfs = fjhtfs;
        }

        public String getYsjl() {
            return ysjl;
        }

        public void setYsjl(String ysjl) {
            this.ysjl = ysjl;
        }

        public String getBz() {
            return bz;
        }

        public void setBz(String bz) {
            this.bz = bz;
        }

        public Integer getZt() {
            return zt;
        }

        public void setZt(Integer zt) {
            this.zt = zt;
        }

        public String getJd() {
            return jd;
        }

        public void setJd(String jd) {
            this.jd = jd;
        }

        public String getWd() {
            return wd;
        }

        public void setWd(String wd) {
            this.wd = wd;
        }
    }
}
